name: gallery

services:
  redis:
    container_name: gallery-redis
    image: redis:alpine
    stop_grace_period: 3s
    volumes:
      - redis_data:/data
  app:
    container_name: gallery-app
    image: ${DOCKER_ROOT}/gallery
    environment:
      - REDIS_HOST=redis
    depends_on:
      - redis
    ports:
      - 127.0.0.1:8000:80

volumes:
  redis_data:
